package com.example.pap_teste.models;

public class Reserva {
    private String id;
    private String clienteEmail;
    private String restauranteName;
    private String restauranteEmail;
    private String data;
    private String hora;
    private int pessoas;
    private String estado; // Pendente, Confirmada, Concluída, Cancelada, Recusada
    private String motivo;

    public Reserva() {
        // Required for Firebase
    }

    public Reserva(String id, String clienteEmail, String restauranteName, String restauranteEmail, String data,
            String hora, int pessoas, String estado) {
        this.id = id;
        this.clienteEmail = clienteEmail;
        this.restauranteName = restauranteName;
        this.restauranteEmail = restauranteEmail;
        this.data = data;
        this.hora = hora;
        this.pessoas = pessoas;
        this.estado = estado;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClienteEmail() {
        return clienteEmail;
    }

    public void setClienteEmail(String clienteEmail) {
        this.clienteEmail = clienteEmail;
    }

    public String getRestauranteName() {
        return restauranteName;
    }

    public void setRestauranteName(String restauranteName) {
        this.restauranteName = restauranteName;
    }

    public String getRestauranteEmail() {
        return restauranteEmail;
    }

    public void setRestauranteEmail(String restauranteEmail) {
        this.restauranteEmail = restauranteEmail;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getHora() {
        return hora;
    }

    public void setHora(String hora) {
        this.hora = hora;
    }

    public int getPessoas() {
        return pessoas;
    }

    public void setPessoas(int pessoas) {
        this.pessoas = pessoas;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getMotivo() {
        return motivo;
    }

    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }
}
